Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi
Class POIXMLFactory

    java.lang.Object
      org.apache.poi.POIXMLFactory

Direct Known Subclasses:
  XSLFFactory, XSSFFactory, XWPFFactory

    public abstract class POIXMLFactory

extends java.lang.Object

Defines a factory API that enables sub-classes to create instances of `POIXMLDocumentPart`

Author:
  Yegor Kozlov

Constructor Summary
`POIXMLFactory()`

Method Summary
`abstract POIXMLDocumentPart` | `createDocumentPart(POIXMLDocumentPart parent, PackageRelationship rel, PackagePart part)` Create a POIXMLDocumentPart from existing package part and relation.
`abstract POIXMLDocumentPart` | `newDocumentPart(POIXMLRelation descriptor)` Create a new POIXMLDocumentPart using the supplied descriptor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### POIXMLFactory

    public POIXMLFactory()

Method Detail

### createDocumentPart

    public abstract POIXMLDocumentPart createDocumentPart(POIXMLDocumentPart parent,
                                                          PackageRelationship rel,
                                                          PackagePart part)

  Create a POIXMLDocumentPart from existing package part and relation. This method is called from `POIXMLDocument.load(POIXMLFactory)` when parsing a document

  Parameters:
    `parent` - parent part
    `rel` - the package part relationship
    `part` - the PackagePart representing the created instance
  Returns:
    A new instance of a POIXMLDocumentPart.

### newDocumentPart

    public abstract POIXMLDocumentPart newDocumentPart(POIXMLRelation descriptor)

  Create a new POIXMLDocumentPart using the supplied descriptor. This method is used when adding new parts to a document, for example, when adding a sheet to a workbook, slide to a presentation, etc.

  Parameters:
    `descriptor` - describes the object to create
  Returns:
    A new instance of a POIXMLDocumentPart.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD